parameters:
	ignoreErrors:
		-
			message: '#^PHPDoc tag @var for variable \$decoded has no value type specified in iterable type array\.$#'
			identifier: missingType.iterableValue
			count: 1
			path: src/Controller/Admin/ActionLogCrudController.php

		-
			message: '#^Cannot access offset ''employerId'' on mixed\.$#'
			identifier: offsetAccess.nonOffsetAccessible
			count: 1
			path: src/Doctrine/ActiveAgentsExtension.php

		-
			message: '#^Parameter \#1 \$value of function intval expects array\|bool\|float\|int\|resource\|string\|null, mixed given\.$#'
			identifier: argument.type
			count: 1
			path: src/Doctrine/ActiveAgentsExtension.php

		-
			message: '#^Cannot access offset ''employerId'' on mixed\.$#'
			identifier: offsetAccess.nonOffsetAccessible
			count: 1
			path: src/Doctrine/AgentsExtension.php

		-
			message: '#^Parameter \#1 \$value of function intval expects array\|bool\|float\|int\|resource\|string\|null, mixed given\.$#'
			identifier: argument.type
			count: 1
			path: src/Doctrine/AgentsExtension.php

		-
			message: '#^Call to an undefined method ApiPlatform\\Metadata\\Operation\:\:getUriTemplate\(\)\.$#'
			identifier: method.notFound
			count: 1
			path: src/Doctrine/CurrentAgentInterventionsExtension.php

		-
			message: '#^Cannot access offset ''userId'' on mixed\.$#'
			identifier: offsetAccess.nonOffsetAccessible
			count: 1
			path: src/Doctrine/CurrentAgentInterventionsExtension.php

		-
			message: '#^Cannot cast mixed to int\.$#'
			identifier: cast.int
			count: 1
			path: src/Doctrine/CurrentAgentInterventionsExtension.php

		-
			message: '#^Cannot access offset ''employerId'' on mixed\.$#'
			identifier: offsetAccess.nonOffsetAccessible
			count: 1
			path: src/Doctrine/EmployerInterventionsExtension.php

		-
			message: '#^Cannot access offset ''hidegeneratedafter'' on mixed\.$#'
			identifier: offsetAccess.nonOffsetAccessible
			count: 1
			path: src/Doctrine/EmployerInterventionsExtension.php

		-
			message: '#^Cannot access offset ''recurring'' on mixed\.$#'
			identifier: offsetAccess.nonOffsetAccessible
			count: 1
			path: src/Doctrine/EmployerInterventionsExtension.php

		-
			message: '#^Cannot access offset ''statusToBeValidate'' on mixed\.$#'
			identifier: offsetAccess.nonOffsetAccessible
			count: 1
			path: src/Doctrine/EmployerInterventionsExtension.php

		-
			message: '#^Cannot cast mixed to int\.$#'
			identifier: cast.int
			count: 1
			path: src/Doctrine/EmployerInterventionsExtension.php

		-
			message: '#^Parameter \#1 \$value of function intval expects array\|bool\|float\|int\|resource\|string\|null, mixed given\.$#'
			identifier: argument.type
			count: 1
			path: src/Doctrine/EmployerInterventionsExtension.php

		-
			message: '#^Method App\\Encoder\\MultipartDecoder\:\:decode\(\) return type has no value type specified in iterable type array\.$#'
			identifier: missingType.iterableValue
			count: 1
			path: src/Encoder/MultipartDecoder.php

		-
			message: '#^Cannot access property \$valid on mixed\.$#'
			identifier: property.nonObject
			count: 1
			path: src/Entity/ActionLog.php

		-
			message: '#^PHPDoc tag @var has invalid value \(stdClass\{''valid''\: bool\} \$changesObj\)\: Unexpected token "\{", expected TOKEN_HORIZONTAL_WS at offset 17 on line 1$#'
			identifier: phpDoc.parseError
			count: 1
			path: src/Entity/ActionLog.php

		-
			message: '#^Property App\\Entity\\Employer\:\:\$latitude type mapping mismatch\: database can contain string but property expects float\.$#'
			identifier: doctrine.columnType
			count: 1
			path: src/Entity/Employer.php

		-
			message: '#^Property App\\Entity\\Employer\:\:\$longitude type mapping mismatch\: database can contain string but property expects float\.$#'
			identifier: doctrine.columnType
			count: 1
			path: src/Entity/Employer.php

		-
			message: '#^Method App\\Entity\\Intervention\:\:getExceptions\(\) return type has no value type specified in iterable type array\.$#'
			identifier: missingType.iterableValue
			count: 1
			path: src/Entity/Intervention.php

		-
			message: '#^Method App\\Entity\\Intervention\:\:setExceptions\(\) has parameter \$exceptions with no value type specified in iterable type array\.$#'
			identifier: missingType.iterableValue
			count: 1
			path: src/Entity/Intervention.php

		-
			message: '#^Property App\\Entity\\Intervention\:\:\$exceptions type has no value type specified in iterable type array\.$#'
			identifier: missingType.iterableValue
			count: 1
			path: src/Entity/Intervention.php

		-
			message: '#^Property App\\Entity\\Intervention\:\:\$logicId type mapping mismatch\: property can contain int\|null but database expects int\.$#'
			identifier: doctrine.columnType
			count: 1
			path: src/Entity/Intervention.php

		-
			message: '#^Property App\\Entity\\Location\:\:\$latitude type mapping mismatch\: database can contain string but property expects float\.$#'
			identifier: doctrine.columnType
			count: 1
			path: src/Entity/Location.php

		-
			message: '#^Property App\\Entity\\Location\:\:\$longitude type mapping mismatch\: database can contain string but property expects float\.$#'
			identifier: doctrine.columnType
			count: 1
			path: src/Entity/Location.php

		-
			message: '#^Cannot access offset ''_security_main'' on mixed\.$#'
			identifier: offsetAccess.nonOffsetAccessible
			count: 1
			path: src/Entity/Session.php

		-
			message: '#^Cannot access offset ''_sf2_attributes'' on mixed\.$#'
			identifier: offsetAccess.nonOffsetAccessible
			count: 1
			path: src/Entity/Session.php

		-
			message: '#^Method App\\Entity\\Session\:\:getUsername\(\) should return string but returns string\|null\.$#'
			identifier: return.type
			count: 1
			path: src/Entity/Session.php

		-
			message: '#^Method App\\Entity\\Session\:\:unserialize\(\) return type has no value type specified in iterable type array\.$#'
			identifier: missingType.iterableValue
			count: 1
			path: src/Entity/Session.php

		-
			message: '#^Call to function method_exists\(\) with App\\Entity\\ActionLoggableInterface and ''getId'' will always evaluate to true\.$#'
			identifier: function.alreadyNarrowedType
			count: 1
			path: src/EventListener/Doctrine/DoctrineAuditTrailListener.php

		-
			message: '#^Method App\\EventListener\\Doctrine\\DoctrineAuditTrailListener\:\:logAction\(\) has parameter \$changes with no value type specified in iterable type array\.$#'
			identifier: missingType.iterableValue
			count: 1
			path: src/EventListener/Doctrine/DoctrineAuditTrailListener.php

		-
			message: '#^Parameter \#3 \.\.\.\$values of function sprintf expects bool\|float\|int\|string\|null, mixed given\.$#'
			identifier: argument.type
			count: 1
			path: src/Filter/RoleFilter.php

		-
			message: '#^Method App\\Model\\Recurrence\:\:getIterator\(\) should return Traversable\<mixed, string\> but returns Traversable\<mixed, App\\Entity\\Intervention\>\.$#'
			identifier: return.type
			count: 1
			path: src/Model/Recurrence.php

		-
			message: '#^Method App\\OpenApi\\OpenApiFactory\:\:__invoke\(\) has parameter \$context with no value type specified in iterable type array\.$#'
			identifier: missingType.iterableValue
			count: 1
			path: src/OpenApi/OpenApiFactory.php

		-
			message: '#^Class App\\Repository\\InterventionSequencesRepository has PHPDoc tag @method for method findBy\(\) parameter \#1 \$criteria with no value type specified in iterable type array\.$#'
			identifier: missingType.iterableValue
			count: 1
			path: src/Repository/InterventionSequencesRepository.php

		-
			message: '#^Class App\\Repository\\InterventionSequencesRepository has PHPDoc tag @method for method findBy\(\) parameter \#2 \$orderBy with no value type specified in iterable type array\.$#'
			identifier: missingType.iterableValue
			count: 1
			path: src/Repository/InterventionSequencesRepository.php

		-
			message: '#^Class App\\Repository\\InterventionSequencesRepository has PHPDoc tag @method for method findOneBy\(\) parameter \#1 \$criteria with no value type specified in iterable type array\.$#'
			identifier: missingType.iterableValue
			count: 1
			path: src/Repository/InterventionSequencesRepository.php

		-
			message: '#^Class App\\Repository\\InterventionSequencesRepository has PHPDoc tag @method for method findOneBy\(\) parameter \#2 \$orderBy with no value type specified in iterable type array\.$#'
			identifier: missingType.iterableValue
			count: 1
			path: src/Repository/InterventionSequencesRepository.php

		-
			message: '#^Class App\\Repository\\RecurringInterventionSequencesRepository has PHPDoc tag @method for method findBy\(\) parameter \#1 \$criteria with no value type specified in iterable type array\.$#'
			identifier: missingType.iterableValue
			count: 1
			path: src/Repository/RecurringInterventionSequencesRepository.php

		-
			message: '#^Class App\\Repository\\RecurringInterventionSequencesRepository has PHPDoc tag @method for method findBy\(\) parameter \#2 \$orderBy with no value type specified in iterable type array\.$#'
			identifier: missingType.iterableValue
			count: 1
			path: src/Repository/RecurringInterventionSequencesRepository.php

		-
			message: '#^Class App\\Repository\\RecurringInterventionSequencesRepository has PHPDoc tag @method for method findOneBy\(\) parameter \#1 \$criteria with no value type specified in iterable type array\.$#'
			identifier: missingType.iterableValue
			count: 1
			path: src/Repository/RecurringInterventionSequencesRepository.php

		-
			message: '#^Class App\\Repository\\RecurringInterventionSequencesRepository has PHPDoc tag @method for method findOneBy\(\) parameter \#2 \$orderBy with no value type specified in iterable type array\.$#'
			identifier: missingType.iterableValue
			count: 1
			path: src/Repository/RecurringInterventionSequencesRepository.php

		-
			message: '#^Binary operation "\." between mixed and ''/api/v2/authorize'' results in an error\.$#'
			identifier: binaryOp.invalid
			count: 1
			path: src/Security/OAuth2/ProConnectProvider.php

		-
			message: '#^Binary operation "\." between mixed and ''/api/v2/token'' results in an error\.$#'
			identifier: binaryOp.invalid
			count: 1
			path: src/Security/OAuth2/ProConnectProvider.php

		-
			message: '#^Binary operation "\." between mixed and ''/api/v2/userinfo'' results in an error\.$#'
			identifier: binaryOp.invalid
			count: 1
			path: src/Security/OAuth2/ProConnectProvider.php

		-
			message: '#^Method App\\Security\\OAuth2\\ProConnectProvider\:\:checkResponse\(\) has parameter \$data with no value type specified in iterable type array\.$#'
			identifier: missingType.iterableValue
			count: 1
			path: src/Security/OAuth2/ProConnectProvider.php

		-
			message: '#^Method App\\Security\\OAuth2\\ProConnectProvider\:\:createResourceOwner\(\) has parameter \$response with no value type specified in iterable type array\.$#'
			identifier: missingType.iterableValue
			count: 1
			path: src/Security/OAuth2/ProConnectProvider.php

		-
			message: '#^Method App\\Security\\OAuth2\\ProConnectProvider\:\:getDefaultScopes\(\) return type has no value type specified in iterable type array\.$#'
			identifier: missingType.iterableValue
			count: 1
			path: src/Security/OAuth2/ProConnectProvider.php

		-
			message: '#^Method App\\Security\\OAuth2\\ProConnectProvider\:\:parseResponse\(\) return type has no value type specified in iterable type array\.$#'
			identifier: missingType.iterableValue
			count: 1
			path: src/Security/OAuth2/ProConnectProvider.php

		-
			message: '#^Binary operation "\." between '' \- Error\: '' and mixed results in an error\.$#'
			identifier: binaryOp.invalid
			count: 1
			path: src/Security/ProConnectAuthenticator.php

		-
			message: '#^Method App\\Serializer\\InterventionContextBuilder\:\:createFromRequest\(\) has parameter \$extractedAttributes with no value type specified in iterable type array\.$#'
			identifier: missingType.iterableValue
			count: 1
			path: src/Serializer/InterventionContextBuilder.php

		-
			message: '#^Call to function assert\(\) with true will always evaluate to true\.$#'
			identifier: function.alreadyNarrowedType
			count: 1
			path: src/Service/EntrepriseService.php

		-
			message: '#^Call to function is_object\(\) with object\{results\: array\<object\{siren\: string, nom_raison_sociale\: string, siege\: object\{libelle_commune\: string, latitude\: string, longitude\: string\}&stdClass, complements\: object\{collectivite_territoriale\: object\{code\: string\}\|null, est_service_public\: bool\|null\}\}\>\} will always evaluate to true\.$#'
			identifier: function.alreadyNarrowedType
			count: 1
			path: src/Service/EntrepriseService.php

		-
			message: '#^Method App\\Service\\EventProcessor\:\:process\(\) return type has no value type specified in iterable type array\.$#'
			identifier: missingType.iterableValue
			count: 1
			path: src/Service/EventProcessor.php

		-
			message: '#^Parameter \#2 \$userIds of class App\\Message\\SendPushNotification constructor expects array\<string\>, array\<int\|null\> given\.$#'
			identifier: argument.type
			count: 1
			path: src/Service/NotificationChannelManager.php

		-
			message: '#^Cannot cast mixed to string\.$#'
			identifier: cast.string
			count: 2
			path: src/Service/PhpSessionUnserializer.php

		-
			message: '#^Method App\\Service\\PhpSessionUnserializer\:\:unserializeValue\(\) should return array\<string\> but returns array\<mixed\>\.$#'
			identifier: return.type
			count: 1
			path: src/Service/PhpSessionUnserializer.php

		-
			message: '#^Part \$key \(mixed\) of encapsed string cannot be cast to string\.$#'
			identifier: encapsedStringPart.nonString
			count: 2
			path: src/Service/PhpSessionUnserializer.php

		-
			message: '#^Method App\\State\\MetricsProvider\:\:provide\(\) has parameter \$context with no value type specified in iterable type array\.$#'
			identifier: missingType.iterableValue
			count: 1
			path: src/State/MetricsProvider.php

		-
			message: '#^Method App\\State\\MetricsProvider\:\:provide\(\) has parameter \$uriVariables with no value type specified in iterable type array\.$#'
			identifier: missingType.iterableValue
			count: 1
			path: src/State/MetricsProvider.php

		-
			message: '#^Return type \(array\<array\{name\: string, siren\: string, nbInterventions\: int, nbInterventions30Jours\: int\}\>\) of method App\\State\\MetricsProvider\:\:provide\(\) should be compatible with return type \(iterable\<object\>\|object\|null\) of method ApiPlatform\\State\\ProviderInterface\<object\>\:\:provide\(\)$#'
			identifier: method.childReturnType
			count: 1
			path: src/State/MetricsProvider.php

		-
			message: '#^Parameter \#1 \$array of function array_keys expects array, mixed given\.$#'
			identifier: argument.type
			count: 1
			path: src/Validator/UpdateEntityEventValidator.php
